Package org.mariadb.jdbc.client.util

## Interface Parameter

    public interface Parameter

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canEncodeLongData()`
`void` `encodeBinary​(Writer encoder)`
`byte[]` `encodeData()`
`void` `encodeLongData​(Writer encoder)`
`void` `encodeText​(Writer encoder, org.mariadb.jdbc.client.Context context)`
`int` `getBinaryEncodeType()`
`boolean` `isNull()`

### Method Detail

#### encodeText

    void encodeText​(Writer encoder,
                    org.mariadb.jdbc.client.Context context)
             throws IOException,
                    SQLException

Throws:
  `IOException`
  `SQLException`

#### encodeBinary

    void encodeBinary​(Writer encoder)
               throws IOException,
                      SQLException

Throws:
  `IOException`
  `SQLException`

#### encodeLongData

    void encodeLongData​(Writer encoder)
                 throws IOException,
                        SQLException

Throws:
  `IOException`
  `SQLException`

#### encodeData

    byte[] encodeData()
               throws IOException,
                      SQLException

Throws:
  `IOException`
  `SQLException`

#### canEncodeLongData

    boolean canEncodeLongData()

#### getBinaryEncodeType

    int getBinaryEncodeType()

#### isNull

    boolean isNull()